Bug 31205 - xindice.bat not working if JAVA_HOME contains a space
Summary: xindice.bat not working if JAVA_HOME contains a space
Status: CLOSED FIXED
Alias: None
Product: Xindice
Classification: Unclassified
Component: DB Engine (show other bugs)
Version: cvs head (1.1)
Hardware: Other other
: P3 normal
Target Milestone: ---
Assignee: Xindice Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-13 19:10 UTC by Tim O'Brien
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments
Silly litte patch, just adds " around JAVA_CMD (1.23 KB, patch)
2004-09-13 19:11 UTC, Tim O'Brien
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tim O'Brien 2004-09-13 19:10:33 UTC
Here is a trivial patch.  Simply surround the JAVA_CMD with double quotes.  If 
your JAVA_HOME has a space in it (i.e. if you've installed it in C:\Program 
Files), xindice.bat won't do a thing.
Comment 1 Tim O'Brien 2004-09-13 19:11:19 UTC
Created attachment 12715 [details]
Silly litte patch, just adds " around JAVA_CMD
Comment 2 Vadim Gritsenko 2004-09-28 13:20:20 UTC
Thanks; applied in modified version, to all four bat files (see bin/ directory)